aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts
diff options
context:
space:
mode:
authorGravatar Thomas Capricelli <orzel@freehackers.org>2013-10-18 12:56:15 +0200
committerGravatar Thomas Capricelli <orzel@freehackers.org>2013-10-18 12:56:15 +0200
commita6bff116f92b7fc1ad000ebc46397310bc9db720 (patch)
treec918a69c5285d870b4b8fea668df35b8f294a821 /scripts
parent36052c4911ff4a3034af260b56c7e8c7bdda017b (diff)
simplify/uniformize eigen_gen_docs
Diffstat (limited to 'scripts')
-rw-r--r--scripts/eigen_gen_docs5
1 files changed, 3 insertions, 2 deletions
diff --git a/scripts/eigen_gen_docs b/scripts/eigen_gen_docs
index 9b71cd8e0..787dcb325 100644
--- a/scripts/eigen_gen_docs
+++ b/scripts/eigen_gen_docs
@@ -4,6 +4,7 @@
# You should call this script with USER set as you want, else some default
# will be used
USER=${USER:-'orzel'}
+UPLOAD_DIR=dox-devel
#ulimit -v 1024000
@@ -14,10 +15,10 @@ mkdir build -p
#step 2 : upload
# (the '/' at the end of path is very important, see rsync documentation)
-rsync -az --no-p --delete build/doc/html/ $USER@ssh.tuxfamily.org:eigen/eigen.tuxfamily.org-web/htdocs/dox-devel/ || { echo "upload failed"; exit 1; }
+rsync -az --no-p --delete build/doc/html/ $USER@ssh.tuxfamily.org:eigen/eigen.tuxfamily.org-web/htdocs/$UPLOAD_DIR/ || { echo "upload failed"; exit 1; }
#step 3 : fix the perm
-ssh $USER@ssh.tuxfamily.org 'chmod -R g+w /home/eigen/eigen.tuxfamily.org-web/htdocs/dox-devel' || { echo "perm failed"; exit 1; }
+ssh $USER@ssh.tuxfamily.org "chmod -R g+w /home/eigen/eigen.tuxfamily.org-web/htdocs/$UPLOAD_DIR" || { echo "perm failed"; exit 1; }
echo "Uploaded successfully"